import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 任务团队服务对象基类
 *
 * @export
 * @class IBIZTASKTEAMServiceBase
 * @extends {EntityServie}
 */
export default class IBIZTASKTEAMServiceBase extends EntityService {

    /**
     * Creates an instance of  IBIZTASKTEAMServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBIZTASKTEAMServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBIZTASKTEAMServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibiztaskteam';
        this.APPDEKEY = 'ibiztaskteamid';
        this.APPDENAME = 'ibiztaskteams';
        this.APPDETEXT = 'ibiztaskteamname';
        this.APPNAME = 'web';
        this.SYSTEMNAME = 'demosys';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZTASKTEAMServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().get(`/ibiztaskteams/${context.ibiztaskteam}/select`,isloading);
            
            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZTASKTEAMServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }

    /**
     * searchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZTASKTEAMServiceBase
     */
    public async searchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let tempData:any = JSON.parse(JSON.stringify(data));
        return await Http.getInstance().post(`/ibiztaskteams/searchdefault`,tempData,isloading);
    }
}